Bug 1233488 - Create page should clearly state you are using either source, or template
Summary: Create page should clearly state you are using either source, or template
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Samuel Padgett
QA Contact: Yanping Zhang
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-19 04:11 UTC by Tomas Schlosser
Modified: 2015-08-03 20:17 UTC (History)
9 users (show)

(edit)
The Create page in the web console has been updated to make it more obvious that there are two options rather than one. The headings have been modified to "Create Using Your Code" and "Create Using a Template", and a separator has been added between the two options.
Clone Of:
(edit)
Last Closed: 2015-08-03 20:17:28 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1540 normal SHIPPED_LIVE Red Hat OpenShift Enterprise 3.0.1.0 bug fix and enhancement update 2015-08-04 00:17:18 UTC

Description Tomas Schlosser 2015-06-19 04:11:40 UTC
During today's UX session, we found out, it is not very clear from create page, if it is either code or templete or if you are supposed to  fill in the source code and subsequently, you will be able to use template.

Comment 2 Wei Sun 2015-06-19 06:24:27 UTC
This is more like a feature request.Now you could create the application from the source code or from the template.
If you input a source code url,and click the next button,then you will see the creation page for the application creation from the image.
If you choose a template,then you will see the creation page from the template.

I think it's acceptable.

Comment 3 Tomas Schlosser 2015-06-19 07:53:19 UTC
At the very least, could you add some delimiter like horizontal line between these two possibilities? From current layout, it is not clear that you should pick one of the ways.

At first I was confused and put source repo to the textbox and then clicked the templates.

Comment 4 Samuel Padgett 2015-06-26 21:11:38 UTC
I agree it's a problem. This pull adds a separator and changes the headings.

https://github.com/openshift/origin/pull/3471

Comment 5 Yanping Zhang 2015-06-29 06:19:10 UTC
Waiting for code to be merged, will test then.

Comment 6 Johnny Liu 2015-06-29 07:48:46 UTC
According to OSE work flow, pls merge the code into ose branch, and build rpm, so that QE could verify it. So move this bug to "MODIFIED", once OSE rpm is ready, pls move it to "ON_QA".

Comment 7 Scott Dodson 2015-07-08 19:31:55 UTC
The referenced pull request is in openshift-3.0.1.0-0.git.133.b1c1f03.el7ose.x86_64.rpm

Puddle: http://buildvm-devops.usersys.redhat.com/puddle/build/OpenShiftEnterprise/3.0/2015-07-07.1/RH7-RHOSE-3.0/x86_64/os/

Comment 11 errata-xmlrpc 2015-08-03 20:17:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2015:1540


Note You need to log in before you can comment on or make changes to this bug.